org.apache.nutch.net.protocols

## Interface Response

- All Superinterfaces:
    HttpHeaders
  All Known Implementing Classes:
    HttpResponse, HttpResponse, HttpResponse, HttpResponse, HttpResponse, OkHttpResponse

      public interface Response
      extends HttpHeaders

  A response interface. Makes all protocols model HTTP.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Response.TruncatedContentReason`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FETCH_TIME` Key to hold the time when the page has been fetched
    `static String` | `IP_ADDRESS` Key to hold the IP address the request is sent to if `store.ip.address` is true
    `static String` | `REQUEST` Key to hold the HTTP request if `store.http.request` is true
    `static String` | `RESPONSE_HEADERS` Key to hold the HTTP response header if `store.http.headers` is true
    `static String` | `TRUNCATED_CONTENT` Key to hold boolean whether content has been truncated, e.g., because it exceeds `http.content.limit`
    `static String` | `TRUNCATED_CONTENT_REASON` Key to hold reason why content has been truncated, see `Response.TruncatedContentReason`

    - ### Fields inherited from interface org.apache.nutch.metadata.HttpHeaders

      `CLIENT_TRANSFER_ENCODING, CONTENT_DISPOSITION, CONTENT_ENCODING, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_MD5, CONTENT_TYPE, IF_MODIFIED_SINCE, LAST_MODIFIED, LOCATION, TRANSFER_ENCODING, USER_AGENT, WRITABLE_CONTENT_TYPE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Returns the response code.
    `byte[]` | `getContent()` Returns the full content of the response.
    `String` | `getHeader(String name)` Returns the value of a named header.
    `Metadata` | `getHeaders()` Returns all the headers.
    `URL` | `getUrl()` Returns the URL used to retrieve this response.

- - ### Field Detail

    - #### REQUEST

          static final String REQUEST

      Key to hold the HTTP request if `store.http.request` is true
      See Also:
        Constant Field Values

    - #### RESPONSE_HEADERS

          static final String RESPONSE_HEADERS

      Key to hold the HTTP response header if `store.http.headers` is true
      See Also:
        Constant Field Values

    - #### IP_ADDRESS

          static final String IP_ADDRESS

      Key to hold the IP address the request is sent to if `store.ip.address` is true
      See Also:
        Constant Field Values

    - #### FETCH_TIME

          static final String FETCH_TIME

      Key to hold the time when the page has been fetched
      See Also:
        Constant Field Values

    - #### TRUNCATED_CONTENT

          static final String TRUNCATED_CONTENT

      Key to hold boolean whether content has been truncated, e.g., because it exceeds `http.content.limit`
      See Also:
        Constant Field Values

    - #### TRUNCATED_CONTENT_REASON

          static final String TRUNCATED_CONTENT_REASON

      Key to hold reason why content has been truncated, see `Response.TruncatedContentReason`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getUrl

          URL getUrl()

      Returns the URL used to retrieve this response.

    - #### getCode

          int getCode()

      Returns the response code.

    - #### getHeader

          String getHeader(String name)

      Returns the value of a named header.

    - #### getHeaders

          Metadata getHeaders()

      Returns all the headers.

    - #### getContent

          byte[] getContent()

      Returns the full content of the response.

Copyright © 2021 The Apache Software Foundation